Bug 228861 - mail/mew: Update to 6.8 and etc
Summary: mail/mew: Update to 6.8 and etc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-10 09:47 UTC by Yasuhiro Kimura
Modified: 2018-07-29 18:41 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
patch file (2.52 KB, patch)
2018-06-10 09:47 UTC, Yasuhiro Kimura
no flags Details | Diff
updated patch file (3.20 KB, patch)
2018-06-14 22:03 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2018-06-10 09:47:21 UTC
Created attachment 194123 [details]
patch file

* Update to 6.8. Changes are as following:
  - Mew now supports Emacs 24.3 or later only.
  - Supporting stunnel 5.
  - Supporting GnuPG 2.1.23 or later.
    The command name should be "gpg" instead of "gpg2".
    Put the following to your "~/.gnupg/gpg.conf".
        no-auto-key-retrieve
        auto-key-locate local
  - Using LibreOffice (soffice) on Unix by default
* Regenerate patches to fix portlint warnings.

Build of all flavors are confirmed with poudriere and 11.1-RELEASE amd64 jail.
Comment 1 Yasuhiro Kimura 2018-06-14 22:03:40 UTC
Created attachment 194260 [details]
updated patch file

Update patch to make it fit to latest ports tree.
So please commit attached patch instead of original one.
Comment 2 Kurt Jaeger freebsd_committer 2018-07-29 18:06:44 UTC
testbuilds@work
Comment 3 Kurt Jaeger freebsd_committer 2018-07-29 18:41:24 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2018-07-29 18:41:53 UTC
A commit references this bug:

Author: pi
Date: Sun Jul 29 18:41:20 UTC 2018
New revision: 475670
URL: https://svnweb.freebsd.org/changeset/ports/475670

Log:
  mail/mew: update 6.7 -> 6.8

  - Mew now supports Emacs 24.3 or later only
  - Supporting stunnel 5.
  - Supporting GnuPG 2.1.23 or later.
    The command name should be "gpg" instead of "gpg2".
    Put the following to your "~/.gnupg/gpg.conf".
        no-auto-key-retrieve
        auto-key-locate local
  - Using LibreOffice (soffice) on Unix by default
  - Regenerate patches to fix portlint warnings.

  PR:		228861
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Approved by:	hiroto.kagotani@gmail.com (maintainer timeout)
  Relnotes:	http://www.mew.org/en/relnote/release.html

Changes:
  head/mail/mew/Makefile
  head/mail/mew/distinfo
  head/mail/mew/files/patch-bin__Makefile.in
  head/mail/mew/files/patch-info__Makefile
  head/mail/mew/files/patch-mew-ssl.el